Bug 238237 - security/acme.sh: Add IDN option
Summary: security/acme.sh: Add IDN option
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Dan Langille
URL:
Keywords: needs-qa
Depends on:
Blocks:
 
Reported: 2019-05-30 08:10 UTC by takefu
Modified: 2019-08-21 15:29 UTC (History)
1 user (show)

See Also:
dvl: maintainer-feedback+


Attachments
acme.sh-2.8.1_1.patch (1.16 KB, patch)
2019-05-30 08:10 UTC, takefu
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description takefu 2019-05-30 08:10:08 UTC
Created attachment 204713 [details]
acme.sh-2.8.1_1.patch

Uses IDN Options set
Comment 1 Dan Langille freebsd_committer 2019-05-30 14:33:46 UTC
I won't be able to work on this for a few days at least.  If someone else wishes to proceed, please go ahead.
Comment 2 Kubilay Kocak freebsd_committer freebsd_triage 2019-06-01 12:20:44 UTC
@Dan Can you approve the patch (maintainer-approval -> + on the attachment) "pending QA" ?
Comment 3 Dan Langille freebsd_committer 2019-06-05 16:13:11 UTC
(In reply to Kubilay Kocak from comment #2)
Done, thank you.
Comment 4 Dan Langille freebsd_committer 2019-07-27 15:24:25 UTC
Comment on attachment 204713 [details]
acme.sh-2.8.1_1.patch

I think:

+		-e 's|'s|_exists idn|_exists idn2|' ${WRKSRC}/acme.sh


should be:

+		-e 's|_exists idn|_exists idn2|' ${WRKSRC}/acme.sh

as is, I get:

/usr/bin/sed -i.bak -e 's|^ *idn |      idn2 |' -e 's|'s|_exists idn|_exists idn2|' /wrkdirs/usr/ports/security/acme.sh/work/acme.sh-2.8.1/acme.sh
/bin/sh: Syntax error: Unterminated quoted string

The new line succeeds.
Comment 5 commit-hook freebsd_committer 2019-07-27 15:28:51 UTC
A commit references this bug:

Author: dvl
Date: Sat Jul 27 15:28:19 UTC 2019
New revision: 507462
URL: https://svnweb.freebsd.org/changeset/ports/507462

Log:
  Add IDN support

  PR:		238237
  Submitted by:	takefu@airport.fm

Changes:
  head/security/acme.sh/Makefile
Comment 6 Dan Langille freebsd_committer 2019-07-27 15:29:11 UTC
Commited. Thank you.
Comment 7 Dan Langille freebsd_committer 2019-08-21 15:29:47 UTC
See also https://svnweb.freebsd.org/ports?view=revision&revision=509509 where the RUN_DEPENDS was altered to use dns/libidn2 instead of dns/idnkit2